The site is under maintenance.

Most probably the CPANTS databases are being regenerated from scratch behind the scenes due to the major change in Kwalitee metrics or the update of relevant modules/perl. Usually this maintenance takes about a day or two, and some of the information may be old or missing tentatively. Sorry for the inconvenience.

CatalystX-RequestRole-StrictParams

Metadata

Analyzed metadata and errors of CatalystX-RequestRole-StrictParams.

{
   "abstracts_in_pod" : {
      "CatalystX::RequestRole::StrictParams" : "Insist users specify HTTP method for form parameters"
   },
   "author" : "SARGIE",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/CatalystX",
      "lib/CatalystX/RequestRole",
      "t"
   ],
   "dist" : "CatalystX-RequestRole-StrictParams",
   "dynamic_config" : 0,
   "error" : {},
   "extension" : "tar.gz",
   "external_license_file" : "LICENSE",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "CHANGES",
   "file_dist_ini" : "dist.ini",
   "file_license" : "LICENSE",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README.pod,README",
   "files_array" : [
      "dist.ini",
      "README",
      "CHANGES",
      "Makefile.PL",
      "META.yml",
      "MANIFEST",
      "README.pod",
      "LICENSE",
      "lib/CatalystX/RequestRole/StrictParams.pm",
      "t/release-pod-coverage.t",
      "t/010_sanity.t",
      "t/release-pod-syntax.t"
   ],
   "files_hash" : {
      "CHANGES" : {
         "mtime" : 1337923007,
         "size" : 110
      },
      "LICENSE" : {
         "mtime" : 1337923007,
         "size" : 18258
      },
      "MANIFEST" : {
         "mtime" : 1337923007,
         "size" : 178
      },
      "META.yml" : {
         "mtime" : 1337923007,
         "size" : 521
      },
      "Makefile.PL" : {
         "mtime" : 1337923007,
         "size" : 1123,
         "used" : [
            "ExtUtils::MakeMaker",
            "strict",
            "warnings"
         ]
      },
      "README" : {
         "mtime" : 1337923007,
         "size" : 341
      },
      "README.pod" : {
         "mtime" : 1337923007,
         "size" : 2707
      },
      "dist.ini" : {
         "mtime" : 1337923007,
         "size" : 384
      },
      "lib/CatalystX/RequestRole/StrictParams.pm" : {
         "module" : "CatalystX::RequestRole::StrictParams",
         "mtime" : 1337923007,
         "size" : 2805,
         "used" : [
            "Carp",
            "Moose::Role"
         ]
      },
      "t/010_sanity.t" : {
         "mtime" : 1337923007,
         "size" : 1955,
         "used" : [
            "Catalyst::Controller",
            "Catalyst::Engine",
            "Catalyst::Request",
            "CatalystX::RequestRole::StrictParams",
            "Moose",
            "Test::Most"
         ]
      },
      "t/release-pod-coverage.t" : {
         "mtime" : 1337923007,
         "required" : [
            "Test::More"
         ],
         "size" : 501,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Pod::Coverage::TrustPod",
            "Test::Pod::Coverage"
         ]
      },
      "t/release-pod-syntax.t" : {
         "mtime" : 1337923007,
         "required" : [
            "Test::More"
         ],
         "size" : 296,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 0,
      "has_license_in_source_file" : 0,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 1,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "92.68",
      "manifest_matches_dist" : 1,
      "metayml_conforms_to_known_spec" : 1,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 1,
      "metayml_has_provides" : 0,
      "metayml_has_repository_resource" : 0,
      "metayml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1337923007,
   "license" : "perl defined in META.yml defined in LICENSE",
   "license_from_yaml" : "perl",
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "Insist users specify HTTP method for form parameters",
      "author" : [
         "['Peter Sergeant <pete@clueball.com>']"
      ],
      "build_requires" : {},
      "configure_requires" : {
         "ExtUtils::MakeMaker" : "6.31"
      },
      "dynamic_config" : "0",
      "generated_by" : "Dist::Zilla version 4.200004, CPAN::Meta::Converter version 2.112150",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "CatalystX-RequestRole-StrictParams",
      "requires" : {
         "Catalyst" : "0",
         "CatalystX::RoleApplicator" : "0",
         "Test::Most" : "0"
      },
      "version" : "0.02"
   },
   "metayml_is_parsable" : 1,
   "modules" : [
      {
         "file" : "lib/CatalystX/RequestRole/StrictParams.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "CatalystX::RequestRole::StrictParams"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "CatalystX-RequestRole-StrictParams-0.02.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "CatalystX::RoleApplicator",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "6.31"
      },
      {
         "is_prereq" : 1,
         "requires" : "Test::Most",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Catalyst",
         "type" : "runtime_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1337923079,
   "size_packed" : 9999,
   "size_unpacked" : 29179,
   "uses" : {
      "required_in_tests" : {
         "Test::More" : 2
      },
      "used_in_code" : {
         "Carp" : 1,
         "Moose::Role" : 1
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_eval_in_tests" : {
         "Pod::Coverage::TrustPod" : 1,
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "Catalyst::Controller" : 2,
         "Catalyst::Engine" : 2,
         "Catalyst::Request" : 1,
         "Moose" : 1,
         "Test::More" : 2,
         "Test::Most" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.02",
   "versions" : {
      "lib/CatalystX/RequestRole/StrictParams.pm" : {
         "CatalystX::RequestRole::StrictParams" : "0.02"
      }
   },
   "vname" : "CatalystX-RequestRole-StrictParams-0.02"
}